com.parse

## Interface GetFileCallback

    public interface GetFileCallback

A `GetFileCallback` is used to run code after a `ParseFile` fetches its data on a background thread.

The easiest way to use a `GetFileCallback` is through an anonymous inner class. Override the `done` function to specify what the callback should do after the fetch is complete. The `done` function will be run in the UI thread, while the fetch happens in a background thread. This ensures that the UI does not freeze while the fetch happens.

     file.getFileInBackground(new GetFileCallback() {
       public void done(File file, ParseException e) {
         // ...
       }
     });

### Method Summary

Methods
`void` `done(File file, ParseException e)` Override this function with the code you want to run after the fetch is complete.

### Method Detail

#### done

    void done(File file,
            ParseException e)

Override this function with the code you want to run after the fetch is complete.

Parameters:
  `file` - The data that was retrieved, or `null` if it did not succeed.
  `e` - The exception raised by the fetch, or `null` if it succeeded.